BASENAME(1)

NAME
basename - strip directory and suffix from filenames

SYNOPSIS
basename NAME [SUFFIX]
basename OPTION

DESCRIPTION

Print NAME with any leading directory components removed. If specified, also remove a trailing SUFFIX.

--help
    display this help and exit

--version
    output version information and exit

EXAMPLES

basename /usr/bin/sort
    Output "sort".

basename include/stdio.h .h
    Output "stdio".

AUTHOR
Written by FIXME unknown.

REPORTING BUGS
Report bugs to <bug-coreutils@gnu.org>.

COPYRIGHT
Copyright © 2006 Free Software Foundation, Inc.
This is free software. You may redistribute copies of it under the terms of the GNU General Public License <http://www.gnu.org/licenses/gpl.html>. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for basename is maintained as a Texinfo manual. If the info and basename programs are properly installed at your site, the command

    info basename

should give you access to the complete manual.